Bug 1926944 - Enable madvdontneed in OpenShift System Components Part 2 [NEEDINFO]
Summary: Enable madvdontneed in OpenShift System Components Part 2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.z
Assignee: Ryan Phillips
QA Contact: MinLi
URL:
Whiteboard:
Depends On: 1907929
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-09 17:51 UTC by OpenShift BugZilla Robot
Modified: 2021-07-14 07:16 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-14 07:16:34 UTC
Target Upstream Version:
vjaypurk: needinfo? (rphillips)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2632 0 None open [release-4.6] Bug 1926944: enable madvdontneed in system components 2021-06-21 16:54:05 UTC
Red Hat Product Errata RHBA-2021:2641 0 None None None 2021-07-14 07:16:53 UTC

Comment 8 MinLi 2021-06-29 10:06:47 UTC
$ oc get clusterversion 
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.6.0-0.nightly-2021-06-25-031210   True        False         3m27s   Cluster version is 4.6.0-0.nightly-2021-06-25-031210

sh-4.4# systemctl show kubelet | grep -i madvdontneed
Environment=KUBELET_LOG_LEVEL=3 GODEBUG=x509ignoreCN=0,madvdontneed=1


sh-4.4# systemctl show crio | grep -i madvdontneed
Environment=GOTRACEBACK=crash GODEBUG=x509ignoreCN=0,madvdontneed=1

Comment 9 Thiago Alessio Pereira 2021-07-01 10:46:33 UTC
The fix for this bug was expected to be released on July 7, as part of OCP 4.6.37 release.
But due to an unrelated issue (BZ 1978041) it was decided to drop 4.6.37 entirely.
This BZ is now expected be released with 4.6.38, originally planned for July 14.

Comment 13 errata-xmlrpc 2021-07-14 07:16:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.38 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:2641


Note You need to log in before you can comment on or make changes to this bug.